Bug 1024796 (PY3PACKAGER) - fedora-packager: Use Python 3 instead of Python 2
Summary: fedora-packager: Use Python 3 instead of Python 2
Status: CLOSED RAWHIDE
Alias: PY3PACKAGER
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On: 1014549 1024795 1024805 1024809 1024816 1024827 1024845
Blocks: PYTHON3-UPSTREAM F23PYTHON3
TreeView+ depends on / blocked
 
Reported: 2013-10-30 13:02 UTC by Miro Hrončok
Modified: 2018-12-01 23:39 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-01 23:39:14 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2013-10-30 13:02:13 UTC
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that for F22 you should use Python 3 instead of Python 2 in this package.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)

Comment 1 Jaroslav Reznik 2015-03-03 15:10:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Nils Philippsen 2015-08-14 15:09:26 UTC
Zbigniew, I don't understand why this bug should depend on whether 2to3, pynche, msgfmt.py, pygettext.py, smtpd.py come from python-tools or python3-tools. Care to explain?

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-08-14 15:55:21 UTC
Yeah, wrong bug.

Comment 4 Ville Skyttä 2015-11-21 19:44:11 UTC
https://pagure.io/fedora-packager/pull-request/2

Comment 5 Christian Stadelmann 2016-04-23 11:46:56 UTC
Ville Skyttä: The link you posted is broken. 

Dennis Gilmore / maintainer: Is there any progress on this? Are you interested in pull requests?

I'd like to see fedora-client to be ported to python3 for making fedora-easy-karma work (see bug #1329629)

Comment 6 Ville Skyttä 2016-04-23 12:26:30 UTC
(In reply to Christian Stadelmann from comment #5)
> Ville Skyttä: The link you posted is broken.

I suppose a pagure update or something has broken it. Anyway, that PR has been merged, https://pagure.io/fedora-packager/3a597f82f0e8e464f859458e4230f2e1e7730517

Comment 7 Till Maas 2016-05-22 14:30:58 UTC
AFAICS the next step for the fedora_cert part would be to create python2-fedora-cert and python3-fedora_cert subpackages that provides the modules for each python version and then make the fedora-cert tool use python3 for F24+. For F23- and EPEL the tool needs to use python or should at least depend on the python2 subpackage to not break dependencies of other tools, since there is no separate module subpackage atm.

Comment 8 Fedora End Of Life 2016-07-19 10:31:38 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Jan Kurik 2016-07-26 04:12:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 10 Fedora End Of Life 2017-11-16 18:34:44 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Zbigniew Jędrzejewski-Szmek 2017-11-16 20:07:14 UTC
fedora-packager-0.6.0.1-3.fc27.noarch still uses python2.

Comment 12 Miro Hrončok 2018-07-31 16:57:42 UTC
What's the status of this one?

Comment 13 Miro Hrončok 2018-11-07 17:19:22 UTC
Anything the Python Main team can do to move this forward?

Comment 14 Miro Hrončok 2018-11-14 16:43:59 UTC
Anyone? Any response?

Comment 15 Miro Hrončok 2018-11-26 18:47:39 UTC
Pretty please.

Comment 16 Mukundan Ragavan 2018-11-26 23:18:47 UTC
Not sure why I am on needinfo. I have no experience in this package ... :(

Comment 17 Miro Hrončok 2018-11-27 06:44:48 UTC
Oh, I've thought you said you'll take care of  fedora-packager, but in fact it was Mohan Boddu, sorry for the mistake.

Comment 18 Zbigniew Jędrzejewski-Szmek 2018-11-27 08:17:49 UTC
https://src.fedoraproject.org/rpms/fedora-packager/pull-request/3

I'll merge it in a few days if nobody objects.

Comment 19 Miro Hrončok 2018-12-01 23:39:14 UTC
Thank you.


Note You need to log in before you can comment on or make changes to this bug.